# Остановка процесса

Для завершения процессов в PowerShell предусмотрен отдельный командлет Stop-Process, позволяющий «убивать» один или несколько процессов сразу. Способов завершения процесса в PowerShell два — через идентификатор процесса и через его имя, используйте какой вам удобнее.

## Через идентификатор процесса
```powershell
Stop-Process id_process
```
Для получения списка ID активных процессов используется командлет `Get-Process`. 
Допустим, вы хотите завершить зависший браузер Edge. Выполните в PowerShell команду `Get-Process` и посмотрите, какой ID имеет процесс MicrosoftEdge.

В данном примере это 2196. Следовательно, команда завершения будет такой:
```powershell
Stop-Process 2196
```

## Через имя процесса
Вместо идентификатора можно использовать имя процесса, только в этом случае потребуется указать ключ `–processname`. Вот так:
```powershell
Stop-Process -processname MicrosoftEdge
```
Если нужно завершить работу нескольких приложений, их процессы указываются один за другим через запятую:
```powershell
Stop-Process -processname MicrosoftEdge, regedit
```